Skip to content

Query project job data points

GET/api/v1/job-data-points

Returns paginated job data points for the current project.

Query ParametersExpand Collapse
job_type: "classify" or "extract" or "parse"

Job type to query.

One of the following:
"classify"
"extract"
"parse"
created_at_on_or_after: optional string

Include items created at or after this timestamp (inclusive)

formatdate-time
created_at_on_or_before: optional string

Include items created at or before this timestamp (inclusive)

formatdate-time
hours: optional number

Hours of history to include.

maximum168
minimum1
organization_id: optional string
page_size: optional number

Number of items per page.

page_token: optional string

Cursor token for the next page.

project_id: optional string
status: optional array of string

Filter by status.

Cookie ParametersExpand Collapse
session: optional string
ReturnsExpand Collapse
items: array of JobDataPoint { id, created_at, custom_tag, 5 more }

The list of items.

id: string

Job ID.

created_at: string

Created timestamp.

formatdate-time
custom_tag: string

Custom tag.

project_id: string

Project ID.

status: string

Job status.

updated_at: string

Updated timestamp.

formatdate-time
error_message: optional string

Error message, if any.

state_transitions: optional object { cancelled_at, completed_at, failed_at, 3 more }

Job state transition timestamps.

cancelled_at: optional string
completed_at: optional string
failed_at: optional string
pending_at: optional string
running_at: optional string
throttled_at: optional string
next_page_token: optional string

A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

total_size: optional number

The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

Query project job data points

curl https://api.cloud.llamaindex.ai/api/v1/job-data-points \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
{
  "items": [
    {
      "id": "pjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "created_at": "2026-04-29T18:00:00Z",
      "custom_tag": "premium",
      "project_id": "11111111-1111-1111-1111-111111111111",
      "status": "completed",
      "updated_at": "2026-04-29T18:01:00Z",
      "error_message": "Failed to process file.",
      "state_transitions": {
        "cancelled_at": "2026-04-29T18:01:00Z",
        "completed_at": "2026-04-29T18:01:00Z",
        "failed_at": "2026-04-29T18:01:00Z",
        "pending_at": "2026-04-29T18:00:00Z",
        "running_at": "2026-04-29T18:00:05Z",
        "throttled_at": "2026-04-29T18:00:02Z"
      }
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Returns Examples
{
  "items": [
    {
      "id": "pjb-aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
      "created_at": "2026-04-29T18:00:00Z",
      "custom_tag": "premium",
      "project_id": "11111111-1111-1111-1111-111111111111",
      "status": "completed",
      "updated_at": "2026-04-29T18:01:00Z",
      "error_message": "Failed to process file.",
      "state_transitions": {
        "cancelled_at": "2026-04-29T18:01:00Z",
        "completed_at": "2026-04-29T18:01:00Z",
        "failed_at": "2026-04-29T18:01:00Z",
        "pending_at": "2026-04-29T18:00:00Z",
        "running_at": "2026-04-29T18:00:05Z",
        "throttled_at": "2026-04-29T18:00:02Z"
      }
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
Note for AI agents: this documentation is built for programmatic access. - Overview of all docs: https://developers.llamaindex.ai/llms.txt - Any page is available as raw Markdown by appending index.md to its URL — e.g. https://developers.llamaindex.ai/llamaparse/parse/getting_started/index.md - Agent-friendly REST search APIs live under https://developers.llamaindex.ai/api/ — search (BM25 full-text), grep (regex), read (fetch a page), and list (browse the doc tree). See https://developers.llamaindex.ai/llms.txt for parameters. - A hosted documentation MCP server is available at https://developers.llamaindex.ai/mcp. If you support MCP, you can ask the user to install it for browsing these docs directly (an alternative to the REST API). Setup: https://developers.llamaindex.ai/for-agents/mcp/ - Other LlamaIndex tooling for agents — the LlamaParse Platform MCP server, agent skills and plugins, and the n8n node — is mapped at https://developers.llamaindex.ai/for-agents/